# Retrieve a workflow task Retrieves a specific workflow task by its ID. ### User Access Permission You must be assigned the Workflow View Access permission to run this operation. Endpoint: GET /workflows/tasks/{task_id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Path parameters: - `task_id` (string, required) The unique ID of the task. ## Response 200 fields (application/json): - `action_type` (string) The type of the task. Enum: "Approval", "Attachment", "Billing::BillRun", "Billing::CurrencyConversion", "Billing::CustomInvoice", "Callout", "Cancel", "Create", "CustomObject::Create", "CustomObject::Delete", "CustomObject::Query", "CustomObject::Update", "Data::BillingPreviewRun", "Data::Link", "Delay", "Delete", "Download::SFTP", "Email", "Export", "File::CustomPDF::CustomDocument", "If", "InvoiceGenerate", "Iterate", "Logic::CSVTranslator", "Logic::Case", "Logic::CustomCode", "Logic::JSONTransform", "Logic::Lambda", "Logic::ResponseFormatter", "Logic::XMLTransform", "NewProduct", "Notifications::GoogleCloudPrint", "Notifications::PhoneCall", "Notifications::SMS", "Payment::GatewayReconciliation", "Payment::PaymentRun", "Query", "RemoveProduct", "Reporting::ReportData", "Reporting::RunReport", "Resume", "Suspend", "UI::Page", "UI::Stop", "Update", "Upload::FTP", "Upload::SFTP", "WriteOff" - `call_type` (string) The type of API used. - `concurrent_limit` (integer) the number of concurrent tasks that are allowed to run simultaneously - `data` (object) The data payload for the task. - `end_time` (string) If Instance is true, the end time of the task instance. - `error` (string) If Instance is true and status is Error, the error reason of the task instance failure. - `error_class` (string) If Instance is true and status is Error, the error class of the task instance failure. - `error_details` (string) If Instance is true and status is Error, the error details of the task instance failure. - `id` (integer) The unique ID of the task. - `instance` (boolean) Indicates whether this task belongs to an instance of a workflow. - `name` (string) The name of the task. - `object` (string) The selected object for the task. - `object_id` (string) The id of the selected object of the task. - `original_task_id` (integer) If Instance is true, the ID of the original task in the original workflow. - `original_workflow_id` (integer) If Instance is true, the ID of the original workflow. - `parameters` (object) The configuration of the task. - `start_time` (string) If Instance is true, the start time of the task instance. - `status` (string) If Instance is true, the status of the task instance. Enum: "Queued", "Processing", "Pending", "Success", "Stopped", "Error" - `tags` (array) The array of filter tags. - `task_id` (integer) the id of this task's parent task. Will be null if this is the first task of the workflow - `workflow_id` (integer) The ID of the workflow that the task belongs to.